# opkbuild
# tests/ob_reduce_deps
# Tests for ob_reduce_deps.
#
# Copyright (C) 2012 Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

. ./common.sh

ob_use deps

ret=0
type=
host_arch=
deps=
result=

main()
{
	. ./ob_reduce_deps.rc

	exit ${ret}
}

testcase()
{
	if [ "${type}" != 'u' ]; then
		deps="$(ob_reduce_deps -a "${host_arch}" "${deps}")"
	else
		deps="$(ob_reduce_deps -u -a "${host_arch}" "${deps}")"
	fi

	if [ "${deps}" != "${result}" ]; then
		printf 'Dependency list of type "%s" for host arch "%s":\n' \
			"${type}" "${host_arch}"
		printf '  "%s" != "%s"\n' \
			"${deps}" "${result}"
		ret=1
	fi
}

main "${@}"
